> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountsea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 歌词时间线

> 获取同步的歌词与音频时间线数据

获取片段的同步歌词与音频时间线。此接口返回将每行/每个词的歌词映射到其在音频中位置的时间数据，适用于卡拉OK式显示、字幕生成或音频分析。

<Info>
  这是一个异步任务。响应包含一个 `taskId` — 使用[获取任务状态](/zh/api-reference/suno/task)轮询以获取时间线数据。
</Info>


## OpenAPI

````yaml POST /suno/v2/timing
openapi: 3.0.0
info:
  title: Suno AI
  description: API documentation for Suno AI
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.mountsea.ai
    description: API Gateway
security: []
tags:
  - name: suno
    description: ''
paths:
  /suno/v2/timing:
    post:
      tags:
        - suno
      summary: get lyrics and audio timeline
      description: get lyrics and audio timeline
      operationId: ApiPublicController_generateTiming
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AudioIdDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
      security:
        - bearerAuth: []
components:
  schemas:
    AudioIdDto:
      type: object
      properties:
        clip_id:
          type: string
          description: >-
            The clip_id which used to generate the music audio continued from
            existing audio.
      required:
        - clip_id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````